Skip to main content
Get a list of estimate templates or a specific template by ID
GET https://services.leadconnectorhq.com/invoices/estimate/template

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Query parameters

altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
altType
string
required
To search for an estimate template by id / name
limit
string
default:"10"
required
Limit the number of items to return
offset
string
default:"10"
required
Number of items to skip

Respuestas

data
string[]
required
List of estimate templates
totalCount
number
required
Total number of estimate templates available
traceId
string
required
Unique identifier for tracing the request
{
  "data": [
    "string"
  ],
  "totalCount": 0,
  "traceId": "string"
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/invoices/estimate/template' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/invoices/estimate/template', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/invoices/estimate/template',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/invoices/estimate/template');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);